## xavante 1.3.2~20070929

=== Makefile ===
# $Id: Makefile,v 1.37 2007/08/31 23:26:59 carregal Exp $

CONFIG= ./config

include $(CONFIG)

T_START= src/t_xavante_start.lua
XAVANTE_START= src/xavante_start.lua
T_INIT= src/t_xavante_init.lua
INIT= src/xavante_init.lua
COXPCALL_LUAS = src/coxpcall/coxpcall.lua
SAJAX_LUAS = src/sajax/sajax.lua
ROOT_LUAS = src/xavante/xavante.lua 
XAVANTE_LUAS= src/xavante/cgiluahandler.lua src/xavante/config.lua src/xavante/encoding.lua src/xavante/filehandler.lua src/xavante/httpd.lua src/xavante/mime.lua src/xavante/redirecthandler.lua src/xavante/vhostshandler.lua src/xavante/indexhandler.lua src/xavante/urlhandler.lua src/xavante/ruleshandler.lua
XAVANTE_CONFIG = src/xavante/config.lua
WEBS= web/index.lp web/test.lp web\loop.lp web\calculator.lp
DOCS= doc/us/index.html doc/us/license.html doc/us/manual.html doc/us/sajax.html doc/us/xavante.gif
IMGS= web/img/test.jpg web/img/keplerproject.gif

all: install

$(INIT): $(T_INIT)
	sed -e "s|\[\[LUABASE51\]\]|\[\[$(LUA_DIR)\]\]|" -e "s|\[\[LIBBASE51\]\]|\[\[$(LUA_LIBDIR)\]\]|" -e "s|\[\[XAVANTE_CONF\]\]|\[\[$(XAVANTE_CONF)\]\]|" -e "s|\[\[LIB_EXT\]\]|\[\[so\]\]|" -e "s|\[\[XAVANTE_WEB\]\]|\[\[$(XAVANTE_WEB)\]\]|" < $(T_INIT) > $(INIT)

$(XAVANTE_START): $(T_START) $(INIT)
	sed -e "s|\[\[XAVANTE_INIT\]\]|\[\[$(XAVANTE_INIT)\]\]|" < $(T_START) > $(XAVANTE_START)
	chmod +x $(XAVANTE_START)

dist: dist_dir
	tar -czf $(TAR_FILE) $(DIST_DIR)
	zip -rq $(ZIP_FILE) $(DIST_DIR)/*
	rm -rf $(DIST_DIR)

dist_dir:
	mkdir -p $(DIST_DIR)
	cp Makefile config $(DIST_DIR)
	mkdir -p $(DIST_DIR)/src
	cp $(T_START) $(DIST_DIR)/src
	mkdir -p $(DIST_DIR)/src/coxpcall
	cp $(COXPCALL_LUAS) $(DIST_DIR)/src/coxpcall
	mkdir -p $(DIST_DIR)/src/sajax
	cp $(SAJAX_LUAS) $(DIST_DIR)/src/sajax
	mkdir -p $(DIST_DIR)/src/xavante
	cp $(ROOT_LUAS) $(XAVANTE_LUAS) $(DIST_DIR)/src/xavante
	mkdir -p $(DIST_DIR)/web
	cp $(WEBS) $(DIST_DIR)/web
	mkdir -p $(DIST_DIR)/web/doc
	cp $(DOCS) $(DIST_DIR)/web/doc
	mkdir -p $(DIST_DIR)/web/img
	cp $(IMGS) $(DIST_DIR)/web/img

install:
	mkdir -p $(LUA_DIR)/xavante
	cp $(ROOT_LUAS) $(COXPCALL_LUAS) $(SAJAX_LUAS) $(LUA_DIR)
	cp $(XAVANTE_LUAS) $(LUA_DIR)/xavante

install-start: $(XAVANTE_START) 
	mkdir -p $(SYS_BINDIR)
	cp $(XAVANTE_START) $(SYS_BINDIR)

install-config:
	mkdir -p $(XAVANTE_CONF)/xavante
	if [ ! -e $(XAVANTE_CONF)/xavante/$(XAVANTE_CONFIG) ] ; then cp $(XAVANTE_CONFIG) $(XAVANTE_CONF)/xavante; fi
	ln -sf $(LUA_DIR) $(XAVANTE_LUA)

install-init: $(INIT)
	if [ ! -e $(XAVANTE_INIT) ] ; then cp $(INIT) $(XAVANTE_INIT); fi

install-web:
	cp -r web/ $(XAVANTE_WEB)
	mkdir -p $(XAVANTE_WEB)/doc/xavante
	cp $(DOCS) $(XAVANTE_WEB)/doc/xavante

standalone: install \
            install-start \
            install-config \
            install-init \
            install-web

clean:
	rm -f $(XAVANTE_START)
	rm -f $(INIT)

## xavante 2.0.0

=== Makefile ===
# $Id: Makefile,v 1.45 2008/04/04 20:00:00 mascarenhas Exp $

CONFIG= ./config

include $(CONFIG)

XAVANTE_START= src/xavante_start
SAJAX_LUAS = src/sajax/sajax.lua
ROOT_LUAS = src/xavante/xavante.lua 
XAVANTE_LUAS= src/xavante/cgiluahandler.lua src/xavante/encoding.lua src/xavante/filehandler.lua src/xavante/httpd.lua src/xavante/mime.lua src/xavante/patternhandler.lua src/xavante/redirecthandler.lua src/xavante/vhostshandler.lua src/xavante/indexhandler.lua src/xavante/urlhandler.lua src/xavante/ruleshandler.lua
DOCS= doc/us/index.html doc/us/license.html doc/us/manual.html doc/us/sajax.html doc/us/xavante.gif

all:

install:
	mkdir -p $(LUA_DIR)/xavante
	cp $(ROOT_LUAS) $(SAJAX_LUAS) $(LUA_DIR)
	cp $(XAVANTE_LUAS) $(LUA_DIR)/xavante

clean:

## xavante 2.0.1

=== debian/changelog ===
xavante (2.0.1-2) unstable; urgency=low

  * source format 3.0 (quilt)
  * bumped standards-version to 3.9.2 
  * fixed LSB init scri w.r.t. $remote_fs 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Jul 2011 10:45:03 +0200

xavante (2.0.1-1) unstable; urgency=low

  * new bugfix upstream release
  * bumped standards-version to 3.8.1
  * depend on wsapi 1.1 
  * added -e in preinst

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 Mar 2009 10:12:30 +0100

xavante (2.0.0-1) unstable; urgency=low

  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 May 2008 11:16:56 +0200

xavante (2.0~rc1-1) unstable; urgency=low

  * New upstream major release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 17 Apr 2008 10:09:39 +0200

xavante (1.3.2~20070929-1) unstable; urgency=low

  * Initial release. (Closes: #444607)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 12 Sep 2007 12:10:28 +0100

=== debian/control ===
Source: xavante
Section: net
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
Homepage: http://www.keplerproject.org/xavante/

Package: xavante
Architecture: all
Depends: ${shlibs:Depends}, liblua5.1-socket2, liblua5.1-copas0, liblua5.1-coxpcall0, liblua5.1-filesystem0, ${misc:Depends}
Recommends: liblua5.1-wsapi1, liblua5.1-cgi0
Description: Lua HTTP 1.1 Web server
 This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
 architecture based on URI mapped handlers. Xavante currently offers a file
 handler, a redirect handler and a CGILua handler. Those are used for general
 files, URI remapping and CGILua scripts respectively.
 .
 The CGILua handler is considered optional thus xavante just recommends the
 packages needed for that handler.

Package: xavante-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: xavante
Section: doc
Description: Documentation files for the Xavante web server
 This package contains the documentation for the Xavante web server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk


DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

install/xavante::
	# move xavante init file inside the xavante dir and link it to init.lua
	mv $(DEB_DESTDIR)/usr/share/lua/5.1/xavante.lua $(DEB_DESTDIR)/usr/share/lua/5.1/xavante/
	cd $(DEB_DESTDIR)/usr/share/lua/5.1/xavante/; ln -s xavante.lua init.lua

	# config file
	mkdir -p $(DEB_DESTDIR)/etc/xavante/sites-available
	mkdir -p $(DEB_DESTDIR)/etc/xavante/sites-enabled
	cp debian/localhost.lua $(DEB_DESTDIR)/etc/xavante/sites-available
	cd $(DEB_DESTDIR)/etc/xavante/sites-enabled; ln -s ../sites-available/* .
	cp debian/xavante_start.lua $(DEB_DESTDIR)/etc/xavante/xavante_start.lua

	# start
	mkdir -p $(DEB_DESTDIR)/etc/default/
	echo "RUN_XAVANTE=" > $(DEB_DESTDIR)/etc/default/xavante

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package xavante
#
version=3
http://luaforge.net/frs/?group_id=6  /frs/download.php/\d+/xavante-([\d\.]*).tar.gz

## xavante 2.2.1

=== debian/changelog ===
xavante (2.2.1-1) unstable; urgency=low

  * New upstream release
  * CDBS -> dh
  * debian/compat set to 8
  * bumped standards-version to 3.9.3 
  * update watch file
  * copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 May 2012 17:23:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
-Homepage: http://www.keplerproject.org/xavante/
+Homepage: http://keplerproject.github.com/xavante/
 
 Package: xavante
 Architecture: all
-Depends: ${shlibs:Depends}, liblua5.1-socket2, liblua5.1-copas0, liblua5.1-coxpcall0, liblua5.1-filesystem0, ${misc:Depends}
-Recommends: liblua5.1-wsapi1, liblua5.1-cgi0
+Depends: ${shlibs:Depends}, lua5.1-socket, lua5.1-copas,  lua5.1-coxpcall, lua5.1-filesystem, ${misc:Depends}, lua-copas (>= 1.1.6), lua-filesystem (>= 1.5.0)
+Recommends: lua5.1-wsapi, lua5.1-cgi
 Description: Lua HTTP 1.1 Web server
  This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
  architecture based on URI mapped handlers. Xavante currently offers a file

## xavante 2.3.0

=== Makefile ===
# $Id: Makefile,v 1.45 2008/04/04 20:00:00 mascarenhas Exp $

CONFIG= ./config

include $(CONFIG)

XAVANTE_START= src/xavante_start
SAJAX_LUAS = src/sajax/sajax.lua
ROOT_LUAS = src/xavante/xavante.lua 
XAVANTE_LUAS= src/xavante/cgiluahandler.lua src/xavante/encoding.lua src/xavante/filehandler.lua src/xavante/httpd.lua src/xavante/mime.lua src/xavante/patternhandler.lua src/xavante/redirecthandler.lua src/xavante/vhostshandler.lua src/xavante/indexhandler.lua src/xavante/urlhandler.lua src/xavante/ruleshandler.lua src/webdav/davhandler.lua src/webdav/davFileRepository.lua src/webdav/davFileProps.lua
DOCS= doc/us/index.html doc/us/license.html doc/us/manual.html doc/us/sajax.html doc/us/xavante.gif

all:

install:
	mkdir -p $(LUA_DIR)/xavante
	cp $(ROOT_LUAS) $(SAJAX_LUAS) $(LUA_DIR)
	cp $(XAVANTE_LUAS) $(LUA_DIR)/xavante

clean:

=== debian/changelog ===
xavante (2.3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:55:55 +0100

xavante (2.3.0-1) unstable; urgency=low

  * New upstream release with webdav support

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 29 Nov 2013 16:53:24 +0100

xavante (2.2.1+git9927c2a-1) unstable; urgency=low

  * New upstream snapshot with lua 5.2 support
  * Packaging moved to git

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 12 May 2012 19:13:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/xavante
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/xavante
 Homepage: http://keplerproject.github.com/xavante/
+Vcs-Git: git://git.debian.org/git/pkg-lua/xavante.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/xavante.git
 
 Package: xavante
 Architecture: all
-Depends: ${shlibs:Depends}, lua5.1-socket, lua5.1-copas,  lua5.1-coxpcall, lua5.1-filesystem, ${misc:Depends}, lua-copas (>= 1.1.6), lua-filesystem (>= 1.5.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-coxpcall, lua5.1-copas, lua-copas (>= 1.1.6), lua5.1-filesystem, lua-filesystem (>= 1.5.0), lua5.1
 Recommends: lua5.1-wsapi, lua5.1-cgi
 Description: Lua HTTP 1.1 Web server
  This package contains xavante, a Lua HTTP 1.1 Web server that uses a modular
@@ -27,4 +27,5 @@
 Recommends: xavante
 Section: doc
 Description: Documentation files for the Xavante web server
- This package contains the documentation for the Xavante web server.
+ This package contains the documentation for the Xavante web server as well
+ as some examples of configuration files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# config file
	mkdir -p debian/tmp/etc/xavante/sites-available
	mkdir -p debian/tmp/etc/xavante/sites-enabled
	cp debian/localhost.lua debian/tmp/etc/xavante/sites-available
	cd debian/tmp/etc/xavante/sites-enabled; ln -s ../sites-available/* .
	cp debian/xavante_start.lua debian/tmp/etc/xavante/xavante_start.lua
	# start
	mkdir -p debian/tmp/etc/default/
	echo "RUN_XAVANTE=" > debian/tmp/etc/default/xavante 

override_dh_compress:
	dh_compress -XREADME

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package xavante
#
version=3
https://github.com/keplerproject/xavante/downloads .*/xavante-([\d\.]+).tar.gz
